# coding:utf-8
from inputData import Dataset
from pairwiseHITS import calcPH

### Constants
task_name = "description"
COMPARISON_DATA = "../"+task_name+"/comparison.csv"
REVIEWER_NAME_COLUMN = "id"
REVIEWER_VOTE_COLUMN = "review"
CREATOR_DATA = "../"+task_name+"/creator.csv"
CREATOR_NAME_COLUMN = "id"
CREATOR_MAKE_COLUMN = "artifact"

### Execute
if __name__ == '__main__':
    dataset = Dataset(COMPARISON_DATA, REVIEWER_NAME_COLUMN, REVIEWER_VOTE_COLUMN,
            CREATOR_DATA, CREATOR_NAME_COLUMN, CREATOR_MAKE_COLUMN)
    df = calcPH(dataset, lam=0.1)
    print df
